Get daily campaign result data
curl --request GET \
--url https://app.closerx.ai/api/v2/graph/daily-campaign-results/{campaign_id}/ \
--header 'Company-Name: <company-name>' \
--header 'api_key: <api-key>'import requests
url = "https://app.closerx.ai/api/v2/graph/daily-campaign-results/{campaign_id}/"
headers = {
"Company-Name": "<company-name>",
"api_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Company-Name': '<company-name>', api_key: '<api-key>'}
};
fetch('https://app.closerx.ai/api/v2/graph/daily-campaign-results/{campaign_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"date": "2025-08-23",
"hours": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23
],
"credit_deductions": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
],
"credit_deductions_change": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
],
"campaign_results": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
],
"campaign_results_change": [
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
]
}{
"success": true,
"message": "<string>",
"data": {}
}Campaign
Daily Campaign Result
Returns hourly data for credit deductions and campaign results for a given campaign on a specific date.
GET
/
v2
/
graph
/
daily-campaign-results
/
{campaign_id}
/
Get daily campaign result data
Authorizations
Headers
The name of the schema to be used for the request
Path Parameters
Unique ID of the campaign (e.g., campc005bf8a)
Response
Hourly analytics data of the campaign for a specific day
Date of the campaign analytics
Example:
"2025-08-23"
Hourly time intervals (0–23)
Example:
[
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23
]
Credits used per hour
Example:
[
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
]
Change in credit usage compared to the previous period
Example:
[
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
]
Campaign results per hour
Example:
[
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
]
Change in campaign results compared to the previous period
Example:
[
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0
]
⌘I
